{ ... }:
{
  programs.git = {
    enable = true;
    lfs.enable = true;
    userName = "Lilith";
    userEmail = "liv@benstem.de";
    difftastic.enable = true;
    signing = {
      key = "B96CE30E7F0B4319DE0025B4272C807BD91F8446";
      signByDefault = true;
    };
    extraConfig = {
      diff = {
        algorith = "histogram";
        submodule = "log";
        colorMoved = "plain";
        renames = true;
      };

      push = {
        autoSetupRemote = true;
        followTags = true;
      };

      fetch = {
        prune = true;
        pruneTags = true;
        all = true;
      };

      init.defaultBranch = "main";
    };
  };
}
